Summary:        Tempest plugin for ironic and ironic-inspector
Name:           python-ironic-tempest-plugin
Version:        2.2.0
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/ironic-tempest-plugin/latest/
Source0:        https://tarballs.opendev.org/openstack/ironic-tempest-plugin/ironic-tempest-plugin-%{version}.tar.gz

BuildArch:      noarch

%description
This package contains a Tempest plugin for OpenStack Bare Metal 
and Bare Metal Introspection projects.

%package -n python3-ironic-tempest-plugin
Summary:        Tempest plugin for ironic and ironic-inspector
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-fixtures python3-oslo-config python3-oslo-log python3-oslo-serialization
BuildRequires:  python3-oslo-utils python3-six openstack-tempest python3-pycodestyle
Requires:       python3-fixtures python3-oslo-config python3-oslo-log python3-oslo-serialization
Requires:       python3-oslo-utils python3-pbr python3-six openstack-tempest
Provides:       python-ironic-tempest-plugin

%description -n python3-ironic-tempest-plugin
This package contains a Tempest plugin for OpenStack Bare Metal 
and Bare Metal Introspection projects.

%prep
%autosetup -n ironic-tempest-plugin-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}/%{_pkgdocdir}

%files -n python3-ironic-tempest-plugin
%{_docdir}/*
%{python3_sitelib}/ironic_tempest_plugin
%{python3_sitelib}/*.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Miaojun Dong <zoedong@tencent.com> - 2.2.0-1
- initial build
